/********************************************/
/*                                    	    */
/*   PKTC.C  Version 1.00           	    */
/*                                    	    */
/*   Packet Driver <=> C library  	    */
/*                                    	    */
/*   Libor Hlavac, (c) 1993                 */
/*                                    	    */
/********************************************/

#include <stdio.h>
#include <stdlib.h>

#define ADDRLEN 6

typedef unsigned char uchar;

void write_addr (uchar * addr);
void write_hex (uchar c);

/*-------------------------------------------------------------------------*/

void write_addr (uchar * addr)
{ uchar * p = addr;
  while(p - addr < ADDRLEN) write_hex(*p++);
}

/*-------------------------------------------------------------------------*/

void write_hex (uchar c)
{
  printf("%02X",c);
}

/***************************************************************************/
